Set Mode
curl --request POST \
--url https://api.vellaro.io/api/v1/admin/financa5/mode \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"confirm_preview": false
}
'import requests
url = "https://api.vellaro.io/api/v1/admin/financa5/mode"
payload = { "confirm_preview": False }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({confirm_preview: false})
};
fetch('https://api.vellaro.io/api/v1/admin/financa5/mode', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vellaro.io/api/v1/admin/financa5/mode",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'confirm_preview' => false
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.vellaro.io/api/v1/admin/financa5/mode"
payload := strings.NewReader("{\n \"confirm_preview\": false\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.vellaro.io/api/v1/admin/financa5/mode")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"confirm_preview\": false\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vellaro.io/api/v1/admin/financa5/mode")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"confirm_preview\": false\n}"
response = http.request(request)
puts response.read_body{
"data": {
"installed": true,
"enabled": true,
"plugin_status": "<string>",
"enabled_at": "2023-11-07T05:31:56Z",
"config": {
"host": "<string>",
"port": 123,
"instance": "<string>",
"database": "<string>",
"username": "<string>",
"has_password": true,
"warehouses": [
"<string>"
],
"sync_interval_minutes": 5
},
"connection": {
"checked_at": "2023-11-07T05:31:56Z",
"ok_at": "2023-11-07T05:31:56Z",
"result": "ok",
"fresh": true,
"server_version": "<string>",
"engine_edition": 123,
"read_only": true,
"view_counts": {},
"warehouses": [
{
"code": "<string>",
"name": "<string>",
"active": true,
"selected": true
}
]
},
"status": {
"financa5_allowed": true,
"mode": "off",
"read_only_blockers": [
"<string>"
],
"active_blockers": [
"<string>"
],
"driver_available": true,
"writes_available": true,
"last_preview": {
"run": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mode": "preview",
"trigger": "manual",
"status": "running",
"counts": {},
"error_code": "<string>",
"error_detail": "<string>",
"created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"started_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z",
"matches_config": true
},
"fresh": true
},
"run_in_progress": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"health": {
"health": "off",
"failures_in_row": 123,
"failing_since": "2023-11-07T05:31:56Z",
"last_error_code": "<string>",
"alert_open": true,
"last_run": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mode": "preview",
"trigger": "manual",
"status": "running",
"counts": {},
"error_code": "<string>",
"error_detail": "<string>",
"created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"started_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z",
"matches_config": true
},
"last_ok_at": "2023-11-07T05:31:56Z",
"held_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"brake": {
"codes_min_share": "<string>",
"zero_max_share": "<string>",
"custom": true
}
}
},
"meta": {
"page": 123,
"page_size": 123,
"total": 123,
"total_pages": 123
},
"error": "<string>",
"error_code": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Integrations & modules
Set Mode
{mode: off|read_only|active, confirm_preview?}. 409 col primo codice che manca e data = {mode, blockers}
(vedi status.read_only_blockers e status.active_blockers di GET /settings). La stessa modalità di adesso: 200
senza audit. Spegnere passa sempre. Lasciare «attivo» scarta il giro trattenuto (discarded, mode_changed).
Audit financa5.mode_change con la modalità di prima e di dopo.
POST
/
api
/
v1
/
admin
/
financa5
/
mode
Set Mode
curl --request POST \
--url https://api.vellaro.io/api/v1/admin/financa5/mode \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"confirm_preview": false
}
'import requests
url = "https://api.vellaro.io/api/v1/admin/financa5/mode"
payload = { "confirm_preview": False }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({confirm_preview: false})
};
fetch('https://api.vellaro.io/api/v1/admin/financa5/mode', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vellaro.io/api/v1/admin/financa5/mode",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'confirm_preview' => false
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.vellaro.io/api/v1/admin/financa5/mode"
payload := strings.NewReader("{\n \"confirm_preview\": false\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.vellaro.io/api/v1/admin/financa5/mode")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"confirm_preview\": false\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vellaro.io/api/v1/admin/financa5/mode")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"confirm_preview\": false\n}"
response = http.request(request)
puts response.read_body{
"data": {
"installed": true,
"enabled": true,
"plugin_status": "<string>",
"enabled_at": "2023-11-07T05:31:56Z",
"config": {
"host": "<string>",
"port": 123,
"instance": "<string>",
"database": "<string>",
"username": "<string>",
"has_password": true,
"warehouses": [
"<string>"
],
"sync_interval_minutes": 5
},
"connection": {
"checked_at": "2023-11-07T05:31:56Z",
"ok_at": "2023-11-07T05:31:56Z",
"result": "ok",
"fresh": true,
"server_version": "<string>",
"engine_edition": 123,
"read_only": true,
"view_counts": {},
"warehouses": [
{
"code": "<string>",
"name": "<string>",
"active": true,
"selected": true
}
]
},
"status": {
"financa5_allowed": true,
"mode": "off",
"read_only_blockers": [
"<string>"
],
"active_blockers": [
"<string>"
],
"driver_available": true,
"writes_available": true,
"last_preview": {
"run": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mode": "preview",
"trigger": "manual",
"status": "running",
"counts": {},
"error_code": "<string>",
"error_detail": "<string>",
"created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"started_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z",
"matches_config": true
},
"fresh": true
},
"run_in_progress": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"health": {
"health": "off",
"failures_in_row": 123,
"failing_since": "2023-11-07T05:31:56Z",
"last_error_code": "<string>",
"alert_open": true,
"last_run": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mode": "preview",
"trigger": "manual",
"status": "running",
"counts": {},
"error_code": "<string>",
"error_detail": "<string>",
"created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"started_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z",
"matches_config": true
},
"last_ok_at": "2023-11-07T05:31:56Z",
"held_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"brake": {
"codes_min_share": "<string>",
"zero_max_share": "<string>",
"custom": true
}
}
},
"meta": {
"page": 123,
"page_size": 123,
"total": 123,
"total_pages": 123
},
"error": "<string>",
"error_code": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Autorizzazioni
Corpo
application/json